import {NextApiHandler} from 'next';
import {readFile} from 'fs/promises';

const handler: NextApiHandler = async (req, res) => {
	const typedocJson = await readFile('./.data/typedoc-data.json', 'utf-8');
	const typedocData = JSON.parse(typedocJson);
	res.json(
		typedocData.children.map((c) => ({
			name: c.name,
		}))
	);
};

export default handler;
